/// <reference types="react" />
export { createDispatcher } from './dispatcher';
export * from './hooks/useLang';
export * from './hooks/useLink';
export * from './hooks/useScript';
export * from './hooks/useMeta';
export * from './hooks/useTitle';
export * from './hooks/useTitleTemplate';
export { useHead } from './hooks/useHead';
export * from './types';
export declare const toStatic: () => {
    lang: string;
    title: string;
    links: any[];
    scripts: any[];
    metas: ({
        charset: "utf-8";
        content?: undefined;
    } | {
        [x: string]: string;
        content: string;
        charset?: undefined;
    })[];
};
export declare const HoofdProvider: import("react").Provider<{
    _setLang: (l: string) => void;
    _addToQueue: (type: "T" | "P" | "M" | "L" | "S", payload: string | import("./dispatcher").MetaPayload) => void;
    _removeFromQueue: (type: "T" | "P" | "M" | "L" | "S", payload: string | import("./dispatcher").MetaPayload) => void;
    _change: (type: "T" | "P" | "M" | "L" | "S", prevPayload: string | import("./dispatcher").MetaPayload, payload: any) => void;
    _reset: (() => void) | undefined;
    toStatic: () => {
        lang: string;
        title: string;
        links: any[];
        scripts: any[];
        metas: ({
            charset: "utf-8";
            content?: undefined;
        } | {
            [x: string]: string;
            content: string;
            charset?: undefined;
        })[];
    };
}>;
